curl --request PATCH \
--url https://api-sandbox.synctera.com/v0/migration_mappings/{mapping_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"old_resource_id": "<string>",
"old_tenant": "abcdef_ghijkl",
"resource_id": "<string>"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/migration_mappings/{mapping_id}"
payload = {
"old_resource_id": "<string>",
"old_tenant": "abcdef_ghijkl",
"resource_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
old_resource_id: '<string>',
old_tenant: 'abcdef_ghijkl',
resource_id: '<string>'
})
};
fetch('https://api-sandbox.synctera.com/v0/migration_mappings/{mapping_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"old_resource_id": "abc123",
"old_tenant": "abcdef_ghijkl",
"resource_id": "def456",
"resource_type": "ACCOUNT",
"tenant": "abcdef_ghijkl",
"deletion_time": "2010-05-06T12:23:34.321Z"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Update migration mapping
Update specific fields of a migration mapping.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Path Parameters
The unique identifier for the migration mapping.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
Migration mapping fields to be updated
Fields that can be updated on a migration mapping.
The previous resource ID under the old tenant.
The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
"abcdef_ghijkl"
The new/current resource ID.
The type of resource being mapped.
ACCOUNT, BUSINESS, PERSON Response
Updated migration mapping
Maps a resource identity from an old tenant to a new tenant.
The date and time the resource was created.
"2010-05-06T12:23:34.321Z"
The unique identifier for the migration mapping.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The date and time the resource was last updated.
"2010-05-06T12:23:34.321Z"
The previous resource ID under the old tenant.
"abc123"
The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
"abcdef_ghijkl"
The new/current resource ID.
"def456"
The type of resource being mapped.
ACCOUNT, BUSINESS, PERSON The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
"abcdef_ghijkl"
The date and time the resource was deleted.
"2010-05-06T12:23:34.321Z"
Was this page helpful?

